Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "create-music",
    "input": {
      "model": "elevenlabs-music",
      "prompt": "An upbeat electronic track with a catchy melody",
      "duration": 30
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "create-music",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits1 credit per second
Toolcreate-music

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYescreate-music
input.modelstringYeselevenlabs-music
input.promptstringYesDescription of the music to generate
input.durationnumberNoDuration in seconds. Options: 3, 5, 10, 15, 20, 30, 45, 60, 90, 120 (default: 30)
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "create-music",
    "input": {
      "model": "elevenlabs-music",
      "prompt": "An upbeat electronic track with a catchy melody",
      "duration": 30
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "create-music",
  "createdAt": "2024-01-15T10:30:00.000Z"
}